Bug 1877351 - Add fallback to builder image detection in console
Summary: Add fallback to builder image detection in console
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Karthik Jeeyar
QA Contact: Jaivardhan Kumar
URL:
Whiteboard:
Depends On:
Blocks: 1878713
TreeView+ depends on / blocked
 
Reported: 2020-09-09 12:40 UTC by Karthik Jeeyar
Modified: 2020-09-18 09:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1878713 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6570 None closed Bug 1877351: Add fallback to builder image detection 2020-09-14 11:48:48 UTC

Description Karthik Jeeyar 2020-09-09 12:40:08 UTC
Description of problem:
Modern-web-app builder image is no longer supported by openshift imagestreams, so it should fallback to relevant imagestream, if available.


Version-Release number of selected component (if applicable):
4.6, 4.5

How reproducible:
Always

Steps to Reproduce
1. go to +Add -> From git
2. enter git repo url https://github.com/nodeshift-starters/react-web-app



Actual results:
No buider image is recommended

Expected results:
Nodejs should be pre-selected (as modern-web-app is no longer supported)

Comment 3 Jaivardhan Kumar 2020-09-18 09:19:26 UTC
Verified on 4.6.0-0.nightly-2020-09-18-042646

Nodejs builder image is getting selected for modernwebapp i.e https://github.com/nodeshift-starters/react-web-app

and there is a another issue with providing explicit port which is being tracked as separate ticket https://issues.redhat.com/browse/ODC-4869


Note You need to log in before you can comment on or make changes to this bug.